from zope.interface import Interface


class IHTTPClient(Interface):
    """A helper class for HTTP requests to ceod."""

    def get(host: str, api_path: str, **kwargs):
        """Make a GET request."""

    def post(host: str, api_path: str, **kwargs):
        """Make a POST request."""

    def delete(host: str, api_path: str, **kwargs):
        """Make a DELETE request."""
